package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxPayAccountBill;

public interface WxPayAccountBillService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxPayAccountBill> listAsPage(WxPayAccountBill record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxPayAccountBill getById(Long id);

    /**
     * 根据tenantId获得实体
     *
     * @param tenantId
     * @return
     */
    WxPayAccountBill getByTenantId(String tenantId);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxPayAccountBill record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
    
	
	

	
	
	
	
}
